<?php

/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

// Settings for the app.
// Copy to settings.php and customize.

$SETTINGS = [
    // Whether to output debugging info like PHP notices, warnings,
    // and stacktraces.
    // Turning this on in production is a security risk and can sometimes break
    // things, such as JSON output where extra content is not expected.
    "debug" => false,
    // Database connection settings
    // See http://medoo.in/api/new for info
    "database" => [
        "type" => "mysql",
        "name" => "notepost",
        "server" => "localhost",
        "user" => "notepost",
        "password" => "",
        "charset" => "utf8"
    ],
    // Name of the app.
    "site_title" => "NotePost",
    // Location of the pandoc binary.  Enables exporting notes as ODT.
    // Leave as an empty string to hide/disable this feature in the GUI.
    "pandoc" => "/usr/bin/pandoc",
    // Settings for connecting to the AccountHub server.
    "accounthub" => [
        // URL for the API endpoint
        "api" => "http://localhost/accounthub/api/",
        // URL of the home page
        "home" => "http://localhost/accounthub/home.php",
        // API key
        "key" => "123"
    ],
    // List of required user permissions to access this app.
    "permissions" => [
    ],
    // Set to a number to limit the number of notes each user can create.
    "note_limit" => false,
    // User permission required to bypass the note limit.
    "unlimited_permission" => "",
    // HTML to show when the quota is reached. "{{notecount}}" and "{{notelimit}}"
    // will be replaced with the number of notes the user has and the note_limit.
    "quota_msg_content" => "",
    // List of background colors available for users to pick from.
    "note_colors" => [
        // Pastel colors
        "EF9A9A", // red
        "FFCC80", // orange
        "FFF59D", // yellow
        "E6EE9C", // lime
        "A5D6A7", // green
        "80CBC4", // teal
        "81D4FA", // light blue
        "90CAF9", // blue
        "B39DDB", // purple
        "F48FB1", // pink
        // Bright colors
        "F44336", // red
        "FF9800", // orange
        "FFEB3B", // yellow
        "8BC34A", // light green
        "4CAF50", // green
        "009688", // teal
        "03A9F4", // light blue
        "2196F3", // blue
        "673AB7", // purple
        "E91E63", // pink
        // Other colors
        "FFFFFF", // white
        "E0E0E0", // pastel gray
        "9E9E9E", // gray
        "BCAAA4", // pastel brown
        "795548", // brown
        "000000", // black
    ],
    // For supported values, see http://php.net/manual/en/timezones.php
    "timezone" => "America/Denver",
    // Language to use for localization. See langs folder to add a language.
    "language" => "en",
    // Shown in the footer of all the pages.
    "footer_text" => "",
    // Also shown in the footer, but with "Copyright <current_year>" in front.
    "copyright" => "Netsyms Technologies",
    // Base URL for building links relative to the location of the app.
    // Only used when there's no good context for the path.
    // The default is almost definitely fine.
    "url" => "."
];
